
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/bluetooth/btuart_cs.c |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN drivers/bluetooth/btuart_cs.c~pcmcia-id_table-for-btuart_csc drivers/bluetooth/btuart_cs.c
--- 25/drivers/bluetooth/btuart_cs.c~pcmcia-id_table-for-btuart_csc	Sun Mar  6 17:28:17 2005
+++ 25-akpm/drivers/bluetooth/btuart_cs.c	Sun Mar  6 17:28:17 2005
@@ -855,6 +855,12 @@ static int btuart_event(event_t event, i
 	return 0;
 }
 
+static struct pcmcia_device_id btuart_ids[] = {
+	/* don't use this driver. Use serial_cs + hci_uart instead */
+	PCMCIA_DEVICE_NULL
+};
+MODULE_DEVICE_TABLE(pcmcia, btuart_ids);
+
 static struct pcmcia_driver btuart_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -862,6 +868,7 @@ static struct pcmcia_driver btuart_drive
 	},
 	.attach		= btuart_attach,
 	.detach		= btuart_detach,
+	.id_table	= btuart_ids,
 };
 
 static int __init init_btuart_cs(void)
_
